Package org.eclipse.m2m.atl.debug.core

## Class AtlThread

- java.lang.Object
- - org.eclipse.core.runtime.PlatformObject
  - - org.eclipse.m2m.atl.debug.core.AtlDebugElement
    - - org.eclipse.m2m.atl.debug.core.AtlThread

All Implemented Interfaces:
  `org.eclipse.core.runtime.IAdaptable`, `org.eclipse.debug.core.model.IDebugElement`, `org.eclipse.debug.core.model.IStep`, `org.eclipse.debug.core.model.ISuspendResume`, `org.eclipse.debug.core.model.ITerminate`, `org.eclipse.debug.core.model.IThread`

    public class AtlThread
    extends AtlDebugElement
    implements org.eclipse.debug.core.model.IThread

The ATL thread definition (for debug).

### Field Summary

### Fields inherited from class org.eclipse.m2m.atl.debug.core.AtlDebugElement

`fTarget`

### Constructor Summary

Constructors
`AtlThread​(java.lang.String name, AtlDebugTarget atlDT)` COnstructor.

### Method Summary

All Methods Instance Methods Concrete Methods
`boolean` `canResume()`
`boolean` `canStepInto()`
`boolean` `canStepOver()`
`boolean` `canStepReturn()`
`boolean` `canSuspend()`
`boolean` `canTerminate()`
`org.eclipse.debug.core.model.IBreakpoint[]` `getBreakpoints()`
`org.eclipse.debug.core.model.IDebugTarget` `getDebugTarget()`
`org.eclipse.debug.core.ILaunch` `getLaunch()`
`java.lang.String` `getName()`
`int` `getPriority()`
`org.eclipse.debug.core.model.IStackFrame[]` `getStackFrames()`
`org.eclipse.debug.core.model.IStackFrame` `getTopStackFrame()`
`boolean` `hasStackFrames()`
`boolean` `isStepping()`
`boolean` `isSuspended()`
`boolean` `isTerminated()`
`void` `resume()`
`void` `setStackFrames​(AtlStackFrame[] frames)` This method allow to update the array of stackFrames.
`void` `stepInto()`
`void` `stepOver()`
`void` `stepReturn()`
`void` `suspend()`
`void` `terminate()`

### Methods inherited from class org.eclipse.m2m.atl.debug.core.AtlDebugElement

`abort, getAdapter, getModelIdentifier`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.eclipse.core.runtime.IAdaptable

`getAdapter`

### Methods inherited from interface org.eclipse.debug.core.model.IDebugElement

`getModelIdentifier`

### Constructor Detail

#### AtlThread

    public AtlThread​(java.lang.String name,
                     AtlDebugTarget atlDT)

COnstructor.

Parameters:
  `name` - the thread name
  `atlDT` - the debug target

### Method Detail

#### getStackFrames

    public org.eclipse.debug.core.model.IStackFrame[] getStackFrames()
                                                              throws org.eclipse.debug.core.DebugException

Specified by:
  `getStackFrames` in interface `org.eclipse.debug.core.model.IThread`
Throws:
  `org.eclipse.debug.core.DebugException`
See Also:
  `IThread.getStackFrames()`

#### hasStackFrames

    public boolean hasStackFrames()
                           throws org.eclipse.debug.core.DebugException

Specified by:
  `hasStackFrames` in interface `org.eclipse.debug.core.model.IThread`
Throws:
  `org.eclipse.debug.core.DebugException`
See Also:
  `IThread.hasStackFrames()`

#### getPriority

    public int getPriority()
                    throws org.eclipse.debug.core.DebugException

Specified by:
  `getPriority` in interface `org.eclipse.debug.core.model.IThread`
Throws:
  `org.eclipse.debug.core.DebugException`
See Also:
  `IThread.getPriority()`

#### getTopStackFrame

    public org.eclipse.debug.core.model.IStackFrame getTopStackFrame()
                                                              throws org.eclipse.debug.core.DebugException

Specified by:
  `getTopStackFrame` in interface `org.eclipse.debug.core.model.IThread`
Throws:
  `org.eclipse.debug.core.DebugException`
See Also:
  `IThread.getTopStackFrame()`

#### getName

    public java.lang.String getName()
                             throws org.eclipse.debug.core.DebugException

Specified by:
  `getName` in interface `org.eclipse.debug.core.model.IThread`
Throws:
  `org.eclipse.debug.core.DebugException`
See Also:
  `IThread.getName()`

#### getBreakpoints

    public org.eclipse.debug.core.model.IBreakpoint[] getBreakpoints()

Specified by:
  `getBreakpoints` in interface `org.eclipse.debug.core.model.IThread`
See Also:
  `IThread.getBreakpoints()`

#### getDebugTarget

    public org.eclipse.debug.core.model.IDebugTarget getDebugTarget()

Specified by:
  `getDebugTarget` in interface `org.eclipse.debug.core.model.IDebugElement`
Overrides:
  `getDebugTarget` in class `AtlDebugElement`
See Also:
  `AtlDebugElement.getDebugTarget()`

#### getLaunch

    public org.eclipse.debug.core.ILaunch getLaunch()

Specified by:
  `getLaunch` in interface `org.eclipse.debug.core.model.IDebugElement`
Overrides:
  `getLaunch` in class `AtlDebugElement`
See Also:
  `AtlDebugElement.getLaunch()`

#### canResume

    public boolean canResume()

Specified by:
  `canResume` in interface `org.eclipse.debug.core.model.ISuspendResume`
See Also:
  `ISuspendResume.canResume()`

#### canSuspend

    public boolean canSuspend()

Specified by:
  `canSuspend` in interface `org.eclipse.debug.core.model.ISuspendResume`
See Also:
  `ISuspendResume.canSuspend()`

#### isSuspended

    public boolean isSuspended()

Specified by:
  `isSuspended` in interface `org.eclipse.debug.core.model.ISuspendResume`
See Also:
  `ISuspendResume.isSuspended()`

#### resume

    public void resume()
                throws org.eclipse.debug.core.DebugException

Specified by:
  `resume` in interface `org.eclipse.debug.core.model.ISuspendResume`
Throws:
  `org.eclipse.debug.core.DebugException`
See Also:
  `ISuspendResume.resume()`

#### suspend

    public void suspend()
                 throws org.eclipse.debug.core.DebugException

Specified by:
  `suspend` in interface `org.eclipse.debug.core.model.ISuspendResume`
Throws:
  `org.eclipse.debug.core.DebugException`
See Also:
  `ISuspendResume.suspend()`

#### canStepInto

    public boolean canStepInto()

Specified by:
  `canStepInto` in interface `org.eclipse.debug.core.model.IStep`
See Also:
  `IStep.canStepInto()`

#### canStepOver

    public boolean canStepOver()

Specified by:
  `canStepOver` in interface `org.eclipse.debug.core.model.IStep`
See Also:
  `IStep.canStepOver()`

#### canStepReturn

    public boolean canStepReturn()

Specified by:
  `canStepReturn` in interface `org.eclipse.debug.core.model.IStep`
See Also:
  `IStep.canStepReturn()`

#### isStepping

    public boolean isStepping()

Specified by:
  `isStepping` in interface `org.eclipse.debug.core.model.IStep`
See Also:
  `IStep.isStepping()`

#### stepInto

    public void stepInto()
                  throws org.eclipse.debug.core.DebugException

Specified by:
  `stepInto` in interface `org.eclipse.debug.core.model.IStep`
Throws:
  `org.eclipse.debug.core.DebugException`
See Also:
  `IStep.stepInto()`

#### stepOver

    public void stepOver()
                  throws org.eclipse.debug.core.DebugException

Specified by:
  `stepOver` in interface `org.eclipse.debug.core.model.IStep`
Throws:
  `org.eclipse.debug.core.DebugException`
See Also:
  `IStep.stepOver()`

#### stepReturn

    public void stepReturn()
                    throws org.eclipse.debug.core.DebugException

Specified by:
  `stepReturn` in interface `org.eclipse.debug.core.model.IStep`
Throws:
  `org.eclipse.debug.core.DebugException`
See Also:
  `IStep.stepReturn()`

#### canTerminate

    public boolean canTerminate()

Specified by:
  `canTerminate` in interface `org.eclipse.debug.core.model.ITerminate`
See Also:
  `ITerminate.canTerminate()`

#### isTerminated

    public boolean isTerminated()

Specified by:
  `isTerminated` in interface `org.eclipse.debug.core.model.ITerminate`
See Also:
  `ITerminate.isTerminated()`

#### terminate

    public void terminate()
                   throws org.eclipse.debug.core.DebugException

Specified by:
  `terminate` in interface `org.eclipse.debug.core.model.ITerminate`
Throws:
  `org.eclipse.debug.core.DebugException`
See Also:
  `ITerminate.terminate()`

#### setStackFrames

    public void setStackFrames​(AtlStackFrame[] frames)

This method allow to update the array of stackFrames.

Parameters:
  `frames` - the frames to update